Page 1 of 2 12 LastLast
Results 1 to 10 of 11

Thread: Fillet Radius

  1. #1
    100 Club
    Join Date
    2009-07
    Posts
    103
    Login to Give a bone
    0

    Post Fillet Radius

    need some help, i have a routine that i could type FR and it would set my radius to what ever i wanted instead of going through the fillet command

    the only thing i just found out that my routine does not work with architechural settings

    here is my lisp:
    Code:
     
    (defun c:FR ()
       (setvar "filletrad" (getreal "\nFillet radius: "))
       (command "FILLET"))
    thanks for helping

  2. #2
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: Fillet Radius

    Try changing the getreal function to getdist.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  3. #3
    100 Club
    Join Date
    2009-07
    Posts
    103
    Login to Give a bone
    0

    Default Re: Fillet Radius

    OK tried it but i get this error

    " Requires numeric distance or two points. "

  4. #4
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: Fillet Radius

    Are your units set to architectural?
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  5. #5
    I could stop if I wanted to msretenovic's Avatar
    Join Date
    2002-02
    Location
    Galloway, Oh
    Posts
    305
    Login to Give a bone
    0

    Default Re: Fillet Radius

    Quote Originally Posted by Opie View Post
    Are your units set to architectural?
    Quote Originally Posted by Opie View Post
    Are your units set to architectural?
    Opie, did you develop a stuttering problem j/k

  6. #6
    Administrator Opie's Avatar
    Join Date
    2002-01
    Location
    jUSt Here (a lot)
    Posts
    9,106
    Login to Give a bone
    0

    Default Re: Fillet Radius

    No. Apparently, my computer got hung up somewhere. Thanks for the catch.
    If you have a technical question, please find the appropriate forum and ask it there.
    You will get a quicker response from your fellow AUGI members than if you sent it to me via a PM or email.
    jUSt

  7. #7
    100 Club
    Join Date
    2009-07
    Posts
    103
    Login to Give a bone
    0

    Default Re: Fillet Radius

    yes they are.

  8. #8
    100 Club
    Join Date
    2009-07
    Posts
    103
    Login to Give a bone
    0

    Smile Re: Fillet Radius

    i shut down auto-cad and started a new session and it works now, thanks for the help
    i really appreciate it

  9. #9
    AUGI Addict
    Join Date
    2008-02
    Posts
    1,141
    Login to Give a bone
    0

    Default Re: Fillet Radius

    It's similar, so I thought I would share it. This is a simple way to create quick fillet with specific radius functions:

    Code:
    ;fillet with set radius
    ;Alan J. Thompson
    (mapcar
      '(lambda (f r)
         (eval (list 'defun
             f
             nil
             (list 'setvar "filletrad" r)
             (list 'princ (strcat "\nFillet radius set to: " (rtos r)))
             (list 'command "_.fillet")
             '(princ)
           )
         )
       )
      '(c:FF    c:F1    c:F15    c:F2    c:F3    c:F4    c:F45    c:F5    c:F6    c:F7    c:F8    c:F9)
      '(0        1    1.5    2    3    4    4.5    5    6    7    8    9)
    )

  10. #10
    100 Club
    Join Date
    2009-07
    Posts
    103
    Login to Give a bone
    0

    Default Re: Fillet Radius

    cool thanks

Page 1 of 2 12 LastLast

Similar Threads

  1. Fillet radius
    By nextvkin in forum AutoCAD LT - General
    Replies: 7
    Last Post: 2009-07-10, 09:49 AM
  2. Replies: 12
    Last Post: 2007-08-01, 12:25 PM
  3. Fillet Radius
    By raddis in forum Revit Architecture - General
    Replies: 5
    Last Post: 2006-07-06, 09:34 AM
  4. Fillet w/ Radius
    By minka10 in forum Revit Architecture - General
    Replies: 9
    Last Post: 2005-07-13, 05:25 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •